Bug Hunting Session
Bug 114972 - Notebookbar: Textbox item in Groupedbar Compact and Full not working
Summary: Notebookbar: Textbox item in Groupedbar Compact and Full not working
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.1 rc
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.1.0 target:6.0.2
Keywords:
Depends on:
Blocks: Notebookbar-Groupedbar
  Show dependency treegraph
 
Reported: 2018-01-12 09:27 UTC by Ljiljan
Modified: 2018-02-16 14:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ljiljan 2018-01-12 09:27:42 UTC
Description:
Textbox item in Grouped Bar Compact and Full (Notebookbar variants) not working

Steps to Reproduce:
Textbox item in Grouped Bar Compact and Full (Notebookbar variants) not working

Actual Results:  
Cannot use item to create textboxes on slides

Expected Results:
toolbar item should allow the creation of textboxes 


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: PresentationDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36
Comment 1 andreas_k 2018-01-12 09:33:15 UTC
True it use the right uno command but it didn't work. Any suggestions what's the problem?
Comment 2 Ljiljan 2018-01-12 09:35:18 UTC
In Notebookbar Tabbed variant, it is working... can we compare the differences?
Comment 3 Yousuf Philips (jay) (retired) 2018-02-09 10:25:39 UTC
Patch - https://gerrit.libreoffice.org/#/c/49481/
Comment 4 Commit Notification 2018-02-09 13:49:33 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10a7dddf65b4fd9716bd8815debfa1cdd4ac184c

tdf#114972 Make insert textbox work in Impress grouped notebookbars

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-02-16 14:24:18 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b0866ca2ef2cfece6b1763dcfe4462adf5f77e2&h=libreoffice-6-0

tdf#114972 Make insert textbox work in Impress grouped notebookbars

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.